---
title: TrackDefault.byteStreamTrackID
slug: Web/API/TrackDefault/byteStreamTrackID
tags:
  - API
  - Audio
  - Experimental
  - MSE
  - Media Source Extensions
  - Property
  - Reference
  - TrackDefault
  - Video
  - byteStreamTrackID
---
<div>{{APIRef("Media Source Extensions")}}{{Obsolete_Header}}</div>

<p>The <code><strong>byteStreamTrackID</strong></code> read-only property of the {{domxref("TrackDefault")}} interface returns the ID of the specific track that the {{domxref("SourceBuffer")}} should apply to.</p>

<p>If not specified in the constructor, this value will be an empty string and the <code>SourceBuffer</code> can contain any tracks of the specified {{domxref("TrackDefault.type")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">var myID = TrackDefault.byteStreamTrackID;
</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}}.</p>

<h2 id="Example">Example</h2>

<p>TBD</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>
<div>

<p>{{Compat("api.TrackDefault.byteStreamTrackID")}}</p>
</div>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("MediaSource")}}</li>
 <li>{{domxref("SourceBuffer")}}</li>
</ul>
